Package twisted :: Package internet :: Module gtkreactor

[frames | no frames]

## Module twisted.internet.gtkreactor

This module provides support for Twisted to interact with the PyGTK mainloop.

In order to use this support, simply do the following:

       |  from twisted.internet import gtkreactor
       |  gtkreactor.install()

Then use twisted.internet APIs as usual. The other methods here are not intended to be called directly.

API Stability: stable

Maintainer: Itamar Shtull-Trauring

Classes
`GtkReactor` | GTK+ event loop reactor.
`PortableGtkReactor` | Reactor that works on Windows.

Function Summary
| ``install`()` Configure the twisted mainloop to be run inside the gtk mainloop.
| ``portableInstall`()` Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Summary
`NoneType` | `_simtag` = None
`builtin_function_or_method` | `hasReader` = `__builtin__.dict.has_key`
`builtin_function_or_method` | `hasWriter` = `__builtin__.dict.has_key`
`dict` | `reads` = `{<twisted.internet.default._UnixWaker instance a...`
`dict` | `writes` = `{}`

Function Details

### install()

Configure the twisted mainloop to be run inside the gtk mainloop.

### portableInstall()

Configure the twisted mainloop to be run inside the gtk mainloop.

Variable Details

### _simtag

  Type:
    `NoneType`
  Value:

        None

### reads

  Type:
    `dict`
  Value:

        {<twisted.internet.default._UnixWaker instance at 0x81f2c3c>: 1}

### writes

  Type:
    `dict`
  Value:

        {}

Generated by Epydoc 2.0 on Sat May 15 20:08:41 2004 | http://epydoc.sf.net